# Generated from koala-3.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name koala

Name: rubygem-%{gem_name}
Version: 3.0.0
Release: 1%{?dist}
Summary: A lightweight, flexible library for Facebook with support for the Graph API, the REST API, realtime updates, and OAuth authentication
License: MIT
URL: http://github.com/arsduo/koala
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1
BuildArch: noarch

%description
Koala is a lightweight, flexible Ruby SDK for Facebook.  It allows read/write
access to the social graph via the Graph and REST APIs, as well as support for
realtime updates and OAuth and Facebook Connect authentication.  Koala is
fully tested and supports Net::HTTP and Typhoeus connections out of the box
and can accept custom modules for other services.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/ISSUE_TEMPLATE
%license %{gem_instdir}/LICENSE
%{gem_instdir}/Manifest
%{gem_instdir}/PULL_REQUEST_TEMPLATE
%{gem_instdir}/code_of_conduct.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/changelog.md
%{gem_instdir}/koala.gemspec
%doc %{gem_instdir}/readme.md
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 3.0.0-1
- Initial package
